diff --git a/source/lib/aliases.h b/source/lib/aliases.h
index ee7adf6..a59476b 100644
--- a/source/lib/aliases.h
+++ b/source/lib/aliases.h
@@ -1706,7 +1714,7 @@ static const struct alias aliases[] =
     {-1}, {-1}, {-1}, {-1}, {-1}, {-1}, {-1}, {-1}, {-1},
     {-1}, {-1}, {-1}, {-1}, {-1}, {-1},
 #line 270 "lib/aliases.gperf"
-    {(int)(size_t)&((struct stringpool_t *)0)->stringpool_str921, ei_jisx0201}
+    {(int)(INT_PTR)&((struct stringpool_t *)0)->stringpool_str921, ei_jisx0201}
   };
 
 const struct alias *
